{% extends "_layoutbaby" %} {% block content %} {% set
visa=craft.assets.filename('visa*')[0] %} {% set master=
craft.assets.filename('master*')[0] %} {% set amex=
craft.assets.filename('amex*')[0] %} {%set
bgGeneral=craft.assets.filename('bg-suscripcion-general.jpg')[0]%} {%set
doctor=craft.assets.filename('doctor-sub.png')[0]%} {%set
bgBenefits=craft.assets.filename('bg-benefits*')[0]%}

<section
  class="container-fluid p-5 bg-section"
  style="background-image:url({{ bgGeneral.url }});"
>
  <div class="container">
    <!--SUSCRIPTION CONTAINER-->

    <div
      class="row text-center justify-content-between"
      id="suscription-container"
    >
      <div class="col-12 col-lg-6">
        <img src="{{ doctor.url }}" alt="doctor" class="img-fluid w-75" />
      </div>

      <div class="col-12 col-lg-5 mt-3 mt-lg-0">
        <form
          action=""
          method="POST"
          id="general-form"
          data-parsley-validate="true"
          accept-charset="UTF-8"
          autocomplete="off"
        >
          <div
            class="bg-golden-yellow text-center text-secondary suscription-banner shadow px-3 py-1 mb-4"
          >
            ¡<b>Aprovecha</b> nuestra promoción y suscríbete por solo $100 pesos
            mensuales!
          </div>

          <!--NAME INPUT-->
          <div class="form-group">
            <input
              type="text"
              required
              class="form-control"
              autocomplete="off"
              placeholder="Nombre completo"
              name="client[name]"
            />
          </div>
          <!--END NAME INPUT-->

          <!--EMAIL INPUT-->
          <div class="form-group">
            <input
              type="email"
              required
              class="form-control"
              autocomplete="off"
              placeholder="Correo electrónico"
              name="client[email]"
            />
          </div>
          <!--END EMAIL INPUT-->

          <h2 class="text-light general-title">Datos Generales</h2>

          <!--ADDRESS INPUT-->
          <div class="form-group">
            <input
              type="text"
              required
              class="form-control"
              autocomplete="off"
              placeholder="Dirección"
              name="client[address]"
            />
          </div>
          <!--END ADDRESS INPUT-->

          <!--STATE INPUT-->
          <div class="form-group">
            <input
              type="text"
              required
              class="form-control"
              autocomplete="off"
              placeholder="Estado/Provincia"
              name="client[state]"
            />
          </div>
          <!--END STATE INPUT-->

          <!--ZIP INPUT-->
          <div class="form-group">
            <input
              type="text"
              required
              class="form-control"
              autocomplete="off"
              placeholder="Código Postal"
              name="client[zip]"
            />
          </div>
          <!--END ZIP INPUT-->

          <!--COUNTRY INPUT-->
          <div class="form-group">
            <input
              type="text"
              required
              class="form-control"
              placeholder="País"
              autocomplete="off"
              name="client[country]"
            />
          </div>
          <!--END COUNTRY INPUT-->

          <div class="row text-center">
            <div class="col-12">
              <!--BUTTON-->
              <button
                class="btn rounded-0 bg-golden-yellow text-secondary font-weight-bold btn-lg"
              >
                ¡Sí suscribime!
              </button>
              <!--END BUTTON-->
            </div>
          </div>

          <!--LEGEND-->

          <p class="text-light font-weight-bold text-center general-title mt-4">
            El costo normal de las suscripciones a este tipo de contenido es de
            $400 pesos mensuales en el mercado. Obtén un descuento
            <b>MASIVO</b> de $250 pesos. Suscríbete a nuestra red Baby Passport
            por <b>SOLO</b> $100 pesos. Tu información está segura.
          </p>
          <!--END LEGEND-->
        </form>
      </div>
    </div>

    <!--END SUSCRIPTION CONTAINER-->
  </div>

  <!--PAYMENT CONTAINER-->
  <div
    class="row text-center align-items-center justify-content-between flex-column-reverse flex-lg-row d-none"
    id="payment-container"
  >
    <div class="col-12 col-lg-4 mt-3 mt-lg-0">
      <div class="card rounded-0 ">
        <h2 class="card-title bg-secondary text-center p-3 text-light">
          Confirma tus datos
        </h2>

        <div class="card-body">
          <div class="row">
            <div class="table-responsive">
              <table class="table table-striped">
                <tbody>
                  <tr>
                    <td>Nombre</td>
                    <td id="tbName"></td>
                  </tr>
                  <tr>
                    <td>Correo electrónico</td>
                    <td id="tbEmail"></td>
                  </tr>
                  <tr>
                    <td>Dirección</td>
                    <td id="tbAddress"></td>
                  </tr>
                  <tr>
                    <td>Estado/Provincia</td>
                    <td id="tbState"></td>
                  </tr>
                  <tr>
                    <td>Código Postal</td>
                    <td id="tbZip"></td>
                  </tr>
                  <tr>
                    <td>País</td>
                    <td id="tbCountry"></td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div class="row text-center mt-3">
            <div class="col-12">
              <button
                class="btn btn-lg bg-golden-yellow text-secondary rounded-0"
                id="editData"
              >
                Editar mis datos
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-12 col-lg-8">
      <!--OPEN PAY FORM-->
      <form
        id="payment-form"
        data-parsley-validate="true"
        accept-charset="UTF-8"
        autocomplete="off"
        method="POST"
      >
        <input type="hidden" name="action" value="nutisPays/processPay" />
        <input type="hidden" name="order[payment_method]" value="" />
        <input
          type="hidden"
          name="order[product]"
          value="Suscripción al contenido"
        />
        <input type="hidden" name="order[quantity]" value="1" />
        <input type="hidden" name="order[unit_price]" value="9900" />
        <input type="hidden" name="order[amount]" value="9900" />
        <input type="hidden" name="order[currency]" value="MXN" />

        <input type="hidden" name="token_id" id="token_id" />
        <input
          type="hidden"
          name="use_card_points"
          id="use_card_points"
          value="false"
        />

        {{ getCsrfInput() }}

        <div class="card rounded-0 ">
          <h2 class="card-title bg-secondary text-center p-3 text-light">
            Tarjeta de crédito o débito
          </h2>

          {% set creditCards=craft.assets.filename('cards1*')[0] %} {% set
          debitCards=craft.assets.filename('cards2*')[0] %}

          <div class="card-body">
            <div
              class="alert alert-danger rounded-0 d-none pay-errors my-3"
            ></div>

            <div class="alert alert-success rounded-0 d-none pay-success my-3">
              <p>Pago de suscripción realizado correctamente</p>
            </div>

            <!--AVAILABLE CARDS-->
            <div class="row text-center">
              <div class="col-12 col-lg-5 ">
                <h5>Tarjetas de crédito</h5>
                <img
                  src="{{ creditCards.url }}"
                  alt="tarjetas_credito"
                  class="img-fluid"
                />
              </div>
              <div class="col-12 col-lg-7 mt-3 mt-lg-0">
                <h5>Tarjetas de débito</h5>
                <img
                  src="{{ debitCards.url }}"
                  alt="tarjetas_debito"
                  class="img-fluid"
                />
              </div>
            </div>
            <!--END AVAILABLE CARDS-->

            <div class="row mt-3">
              <div class="col-12 col-lg-6">
                <!--HOLDER NAME-->
                <div class="form-group">
                  <label>Nombre del titular</label
                  ><input
                    type="text"
                    class="form-control rounded-0"
                    required
                    placeholder="Como aparece en la tarjeta"
                    autocomplete="off"
                    data-openpay-card="holder_name"
                    name="card[holdername]"
                  />
                </div>

                <!--END HOLDER NAME-->

                <div class="form-row">
                  <div class="col-12"><label>Fecha de expiración</label></div>

                  <div class="col">
                    <input
                      type="text"
                      placeholder="Mes (MM)"
                      class="form-control rounded-0"
                      required
                      data-openpay-card="expiration_month"
                      pattern="^(0?[1-9]|1[012])$"
                      name="card[expiration_month]"
                    />
                  </div>
                  <div class="col">
                    <input
                      type="text"
                      placeholder="Año (YY)"
                      class="form-control rounded-0"
                      required
                      data-openpay-card="expiration_year"
                      pattern="^2?[1-9]$"
                      name="card[expiration_year]"
                    />
                  </div>
                </div>
              </div>
              <div class="col-12 col-lg-6">
                <!-- CARD NUMBER-->
                <div class="form-group">
                  <label>Número de tarjeta</label
                  ><input
                    type="text"
                    autocomplete="off"
                    class="form-control rounded-0"
                    required
                    data-openpay-card="card_number"
                    name="card[number]"
                  />
                </div>
                <!--END CARD NUMBER-->

                {%set cvv=craft.assets.filename('cvv*')[0]%}
                <!--CVV-->
                <div class="form-row">
                  <div class="col-12 col-lg-6">
                    <label>Código de seguridad</label>
                    <input
                      type="password"
                      placeholder="****"
                      autocomplete="off"
                      data-openpay-card="cvv2"
                      name="card[cvv2]"
                      class="form-control rounded-0"
                      required
                    />
                  </div>
                  <div class="col-12 col-lg-6 mt-3 mt-lg-0 align-self-end">
                    <img src="{{ cvv.url }}" alt="cvv" class="img-fluid" />
                  </div>
                </div>
                <!--END CVV-->

                {%set openPay=craft.assets.filename('openpay*')[0]%} {%set
                security=craft.assets.filename('security*')[0]%}
              </div>
            </div>

            <div
              class="row mt-4 justify-content-center justify-content-lg-end align-items-center"
            >
              <div class="col-12 col-lg-6 border-right">
                <h5>Transacciones realizadas vía:</h5>
                <img src="{{ openPay.url }}" alt="open pay" class="img-fluid" />
              </div>

              <div class="col-12 col-lg-6">
                <p>
                  Tus pagos se realizan de forma segura con encriptación de 256
                  bits.
                  <img
                    src="{{ security.url }}"
                    alt="security"
                    class="img-fluid"
                  />
                </p>
              </div>
            </div>

            <div class="row text-center mt-3">
              <div class="col-12">
                <button
                  class="btn btn-lg bg-golden-yellow rounded-0 text-secondary"
                  type="submit"
                >
                  Pagar
                </button>
              </div>
            </div>
          </div>
        </div>
      </form>

      <!--END OPEN PAY FORM-->
    </div>
  </div>

  <!--END PAYMENT CONTAINER-->
</section>

{% endblock %} {% block styles %}
<link
  rel="stylesheet"
  href="https://cdn.jsdelivr.net/combine/npm/parsleyjs@2.8.1/src/parsley.min.css,npm/animate.css@3.7.0"
/>

{% endblock %} {% block scripts%}


{{
  craft.minimee.js([
    "https://openpay.s3.amazonaws.com/openpay.v1.min.js",
    "https://openpay.s3.amazonaws.com/openpay-data.v1.min.js",
    "https://cdn.jsdelivr.net/combine/npm/parsleyjs@2.8.1,npm/parsleyjs@2.8.1/dist/i18n/es.min.js,npm/blockui@1.0.0",
    siteUrl~"assets/js/open_pay_errors.js",
    siteUrl~"assets/js/suscription.js"
  ])
}}


<!-- <script
  type="text/javascript"
  src="https://openpay.s3.amazonaws.com/openpay.v1.min.js"
></script>
<script
  type="text/javascript"
  src="https://openpay.s3.amazonaws.com/openpay-data.v1.min.js"
></script>

<script src="https://cdn.jsdelivr.net/combine/npm/parsleyjs@2.8.1,npm/parsleyjs@2.8.1/dist/i18n/es.min.js,npm/blockui@1.0.0"></script>

<script
  type="text/javascript"
  src="{{ siteUrl }}assets/js/open_pay_errors.js"
></script>

<script
  type="text/javascript"
  src="{{ siteUrl }}assets/js/suscription.js"
></script> -->

{% endblock%}
